SDL_shaders_gl.h File Reference
`#include "../../SDL_internal.h"`
Include dependency graph for SDL_shaders_gl.h:

Go to the source code of this file.

## Typedefs

typedef struct GL_ShaderContext | GL_ShaderContext

## Enumerations

enum | GL_Shader { SHADER_NONE, SHADER_SOLID, SHADER_RGB, SHADER_YUV, SHADER_NV12, SHADER_NV21, NUM_SHADERS }

## Functions

GL_ShaderContext * | GL_CreateShaderContext ()
void | GL_SelectShader (GL_ShaderContext *ctx, GL_Shader shader)
void | GL_DestroyShaderContext (GL_ShaderContext *ctx)

## Typedef Documentation

typedef struct GL_ShaderContext GL_ShaderContext

Definition at line 35 of file SDL_shaders_gl.h.

## Enumeration Type Documentation

enum GL_Shader

Enumerator
SHADER_NONE |
SHADER_SOLID |
SHADER_RGB |
SHADER_YUV |
SHADER_NV12 |
SHADER_NV21 |
NUM_SHADERS |

Definition at line 25 of file SDL_shaders_gl.h.

{
SHADER_NONE,
SHADER_SOLID,
SHADER_RGB,
SHADER_YUV,
SHADER_NV12,
SHADER_NV21,
NUM_SHADERS
} GL_Shader;
SHADER_NV12
Definition: SDL_shaders_gl.h:30
NUM_SHADERS
Definition: SDL_shaders_gl.h:32
GL_Shader
GL_Shader
Definition: SDL_shaders_gl.h:25
SHADER_SOLID
Definition: SDL_shaders_gl.h:27
SHADER_NV21
Definition: SDL_shaders_gl.h:31
SHADER_YUV
Definition: SDL_shaders_gl.h:29
SHADER_NONE
Definition: SDL_shaders_gl.h:26
SHADER_RGB
Definition: SDL_shaders_gl.h:28

## Function Documentation

GL_ShaderContext* GL_CreateShaderContext | ( |  | ) |

void GL_DestroyShaderContext | ( | GL_ShaderContext * | ctx | ) |

void GL_SelectShader | ( | GL_ShaderContext * | ctx,
|  | GL_Shader | shader
| ) |  |